Bug 223731 - suspend does not work on 2.6.19-1.2895 (worked great on 2.6.18-1.2869)
suspend does not work on 2.6.19-1.2895 (worked great on 2.6.18-1.2869)
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
Blocks: 427887
  Show dependency treegraph
Reported: 2007-01-21 19:50 EST by zingale
Modified: 2008-08-02 19:40 EDT (History)
11 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-09 01:54:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description zingale 2007-01-21 19:50:31 EST
Description of problem:

Using a Thinkpad X60, running FC6.  Suspend used to work great on this machine
(just close the lid).  Updated to 2.6.19-1.2895 and the suspend no longer
works.  I tried both by closing the lid and right clicking the battery icon 
on the gnome menubar and picking suspend.  The half-moon icon on the laptop
blinks steadily, but never stops blinking (as it should if the suspend were
successful).  And there is no way to recover, so I need to power off the machine.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. boot in 2.6.19-1.2895
2. try to suspend
3. it hangs
Actual results:

it hangs

Expected results:

should suspend gracefully

Additional info:

worked great in all kernels before this.  Continues to work if I boot into the
older 2.6.18-1.2869 kernel.
Comment 1 Brian G. Anderson 2007-01-21 20:17:16 EST
Suspend stopped working on my Thinkpad T42p *and* my Dell 390 desktop.  Both
worked great on the previous 2.6.18-1.2869 kernel.  
Comment 2 Joshua Baker-LePain 2007-01-22 22:42:41 EST
I'll add a me too on my Thinkpad Z61t -- suspend worked until the upgrade to
2.6.19-1.2895.  To the OP -- what mode is your hard drive in (in the BIOS)? 
Mine is in AHCI mode.  I'm wondering if that has anything to do with it.
Comment 3 Kent Engström 2007-01-23 14:48:53 EST
Add me and my HP nc6400 laptop to the list. Suspend to RAM worked
with 2.6.18-1.2869.fc6 but with 2.6.19-1.2895.fc6 it hangs after a while
during the suspend process and I have to power off and reboot.
Comment 4 Rutger Noot 2007-01-24 04:23:28 EST
Exactly the same thing on my transtec levio 210 (a pretty generic laptop). 
Comment 5 Christoph Höger 2007-01-26 07:07:51 EST
Same thing here on my IBM Thinkpad R60.
I think the bug occurs in kernel/cpu.c
Comment 6 Paul W. Frields 2007-01-26 08:28:56 EST
I'm pretty sure this is a duplicate of #223604.  Try doing '/sbin/service
cpuspeed stop' before your suspend and see if that nixes the problem.
Comment 7 Brian G. Anderson 2007-01-26 09:06:01 EST
stopping cpuspeed worked for me.  My Dell 390 sleeps/resumes now.
Comment 8 zingale 2007-01-26 09:42:12 EST
I agree that this does seem to fix things.  Just tried suspend to ram twice with
my thinkpad x60 (plugged into the power and using battery), and it worked fine
in both cases with cpuspeed stopped.
Comment 9 Tru Huynh 2007-02-16 12:45:50 EST
stopping cpuspeed before suspending work around the suspend to ram on my Sony
SZ3XP https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=225062#c1
Comment 10 Chuck Ebbert 2007-02-18 18:34:20 EST
Can we push out an update to pm-utils that stops the cpuspeed service
before suspending???

Comment 11 Joshua Baker-LePain 2007-02-19 08:46:12 EST
Is that the right fix, or just a band-aid?  I'm not trying to be snarky, I'm
actually wondering.  Did the in-kernel power management code change
fundamentally from 2.6.18-2.6.19 such that suspending with it enabled simply
won't ever work again?  Or is that something that should be fixed?
Comment 12 Phil Knirsch 2007-02-19 08:57:29 EST
Well, imo it is some kinda of band aid. Suspend and hibernate have been a
feature for computers for a long time now and modules that still don't work
properly when suspending or hibernating it's really not the fault of the
userland but of those modules.

Especially in this case it used to work and then doesn't anymore. I'd have no
problem with voodoo hardware where drivers just can't be written to work
properly with suspend/hibernate because the hardware itself just can't cope with
it, but thats really broken hardware then.

Thats the reason why i'm very reluctant actually do add that change to pm-utils,
as the proper place to fix it would be the kernel.

Just my $0.02

Read ya, Phil
Comment 13 Chuck Ebbert 2007-02-19 11:56:09 EST
The locking was changed in kernel 2.6.19 so that cpufreq updates
that used to be safe now cause an oops.

This cpu hotplug / cpufreq locking problem has been an ongoing issue
in the upstream kernel and is only being fixed properly in 2.6.21.

So yes, it's a band-aid but you'd have to wait for kernel 2.6.21
(or Fedora to backport those changes) to get the proper fix.
And the backport might cause new problems...
Comment 14 yerazunis 2007-03-09 13:13:42 EST
This might also be the same as 230853 - failure to suspend on new kernel, when
it worked fine in a previous kernel.


Do we know what rev we have to drop back to for it to All Just Work?

Comment 15 Jon Stanley 2008-01-07 20:50:14 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)


I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.


I am CC'ing myself to this bug, however this version of Fedora is no longer

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 16 Kent Engström 2008-01-08 03:34:01 EST
> Add me and my HP nc6400 laptop to the list. Suspend to RAM worked
> with 2.6.18-1.2869.fc6 but with 2.6.19-1.2895.fc6 it hangs after a while
> during the suspend process and I have to power off and reboot.

I am now using Fedora 8 on the same laptop. Kernel: #1 SMP Fri Dec 7 15:49:59 EST 2007 i686 i686 i386 GNU/Linux

Both suspend to RAM and hibernate to disk seems to be working (shutdown OK,
getting back up also OK). The only thing I noticed as of yet is that I have
to make sure that "/sbin/hdparm -B254 /dev/sda" is run after the return to
life, otherwise I get the "Load Cycle incrementing too fast problem".

Comment 17 Jon Stanley 2008-03-09 01:54:42 EST
In that case, I'll close this bug
Comment 18 Tru Huynh 2008-03-28 07:37:41 EDT
I can confirm that suspend is working out of the box.

Note You need to log in before you can comment on or make changes to this bug.